[21.04 FEAT] Converged HiperSockets/Ethernet Interface - kernel

Bug #1853286 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
Medium
Skipper Bug Screeners
linux (Ubuntu)
Fix Released
Undecided
Skipper Bug Screeners

Bug Description

Support HiperSockets Converged Interface functionality, providing a converged interface that forms a single LAN based on HiperSockets (HS) and OSA/RoCE. Traffic for target hosts reachable via HS will use HS, all other traffic will be switched to OSA/RoCE.

Simplified network configuration via single network interface; ability to communicate with z/OS hosts using HiperSockets Layer 2.

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-177155 severity-high targetmilestone-inin2004
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

What is the target kernel to get this new functionality upstream ? 5.4 or 5.5 ?
Setting to Incomplete for now ...

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → Medium
assignee: nobody → Frank Heimes (frank-heimes)
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2019-11-22 08:02 EDT-------
Planned Target : kernel 5.5

------- Comment From <email address hidden> 2019-11-22 08:04 EDT-------
Planned Target : kernel 5.5

summary: - [20.04 FEAT] Converged HiperSockets/Ethernet Interface - kernel
+ [20.10 FEAT] Converged HiperSockets/Ethernet Interface - kernel
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-01-13 07:34 EDT-------
Need to be moved at, at least to 20.10. Will not make it with 20.04

tags: added: targetmilestone-inin2010
removed: targetmilestone-inin2004
Revision history for this message
Frank Heimes (fheimes) wrote : Re: [20.10 FEAT] Converged HiperSockets/Ethernet Interface - kernel

Did this landed in 5.8 or does it need to be moved to 21.04 now?

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-04 04:02 EDT-------
Feature is an important one, even only the kernel part.
Once available, we will than ask for a feature freeze exception.

Revision history for this message
Frank Heimes (fheimes) wrote : Re: [20.10 FEAT] Converged HiperSockets/Ethernet Interface - kernel

Since this is a kernel topic, there is still a little change to get it in, if it arrives prior to the kernel freeze - ideally by the end of September!
Once the kernel freeze is in effect, the entire release is in frozen too ...

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-17 09:36 EDT-------
git commits kernel 5.9

521c65b64916 s390/qeth: implement ndo_bridge_setlink for learning_sync
780b6e7db25e s390/qeth: implement ndo_bridge_getlink for learning_sync
817741a8eaa2 s390/qeth: Reset address notification in case of buffer overflow
d05e8e68b07c bridge: Add SWITCHDEV_FDB_FLUSH_TO_BRIDGE notifier
10a6cfc0fc82 s390/qeth: Translate address events into switchdev notifiers
fa115adff2c1 s390/qeth: Detect PNSO OC3 capability
b983aa1f7d19 s390/cio: Helper functions to read CSSID, IID, and CHID
4fea49a79ece s390/cio: Add new Operation Code OC3 to PNSO

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-09-17 09:39 EDT-------
git-commits are for kernel 5.10, currently in net-next

Revision history for this message
Frank Heimes (fheimes) wrote : Re: [20.10 FEAT] Converged HiperSockets/Ethernet Interface - kernel

Commits landed in linux-next, but are (aot) just tagged with next-20200916, not with a kernel yet - aiu it's planned for integration with 5.10.

summary: - [20.10 FEAT] Converged HiperSockets/Ethernet Interface - kernel
+ [21.04 FEAT] Converged HiperSockets/Ethernet Interface - kernel
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-25 05:13 EDT-------
Feature will not make it for 20.10, moved to 21.04. Potential for request in the future getting this into 20.10 and 20.04..

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
assignee: Frank Heimes (fheimes) → Skipper Bug Screeners (skipper-screen-team)
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-11-04 08:09 EDT-------
This feature is available with kernel 5.10

Revision history for this message
Frank Heimes (fheimes) wrote :

Okay, thx - so pretty close (or already there?), since we are already at v5.10-rc2 - aot.

Revision history for this message
Frank Heimes (fheimes) wrote :

Since 5.10 landed in hirsute-proposed I'm updating this ticket to Fix Committed.

Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-17 04:56 EDT-------
To exploit HSCI following build settings are required
CONFIG_BRIDGE and CONFIG_NET_SWITCHDEV

Revision history for this message
Frank Heimes (fheimes) wrote :

CONFIG_BRIDGE is enabled and in as module - so I think that's fine:
debian.master/config/annotations:CONFIG_BRIDGE policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'ppc64el': 'm', 's390x': 'm'}>

And CONFIG_NET_SWITCHDEV is enabled as well:
debian.master/config/config.common.ubuntu:CONFIG_NET_SWITCHDEV=y
debian.master/config/annotations:CONFIG_NET_SWITCHDEV policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 's390x': 'y'}>
debian.master/config/annotations:CONFIG_NET_SWITCHDEV mark<ENFORCED> note<LP: #1865452, updated to 'y' for s390x starting with focal>

It was done based on LP 1865452.

I'd was that the kernel options look good.

Revision history for this message
Frank Heimes (fheimes) wrote :

Now that kernel 5.10 landed in hirsute's release pocket:
linux-generic | 5.10.0.14.16 | hirsute
this ticket is completed, hence the status is updated to 'Fix Released".

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-22 03:24 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers